// Copyright 2017 by Yun Xiang, Tam Chantem, and Robert Dick.
// All rights reserved.

/*Copyright 2010, Robert Dick<dickrp@eecs.umich.edu>.*/

#ifndef NETWORK_STRING_H_
#define NETWORK_STRING_H_

/*###########################################################################*/

#include <string>
#include <sstream>

/*===========================================================================*/
// Automatically converts strings to many other types.

class Conv {
public:
	Conv(const std::string & str);

	operator bool();

	operator char();
	operator signed char();
	operator unsigned char();

	operator short();
	operator unsigned short();

	operator int();
	operator unsigned();

	operator long();
	operator unsigned long();

	operator float();
	operator double();

private:
	std::string str_;
};

/*###########################################################################*/
#endif
